%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-common

%{?!_licensedir:%global license %%doc}
%define _unpackaged_files_terminate_build 0

Name:           openstack-tripleo-common
Summary:        Python library for code used by TripleO projects.
Version:        5.4.7
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://github.com/rdo-management/tripleo-common

Source0:        https://tarballs.openstack.org/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Remove-RH1-OVB-jobs-from-configuration.patch
Patch0002: 0002-Zuul-Remove-project-name.patch
Patch0003: 0003-Fix-overcloud-node-delete-after-an-upgrade.patch
Patch0004: 0004-Add-logging-to-capabilities-filter.patch
Patch0005: 0005-Purge-resolv.conf-from-the-overcloud-images.patch
Patch0006: 0006-ensure-unique-ironic-node-ID-with-UCS-driver.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires: python-heatclient
Requires: python-oslo-config >= 2:3.14.0
Requires: python-oslo-log >= 1.14.0
Requires: python-oslo-utils >= 3.16.0
Requires: python-docker-py
Requires: instack-undercloud
Requires: python-passlib
Requires: python-paramiko

Provides:  tripleo-common = %{version}-%{release}
Obsoletes: tripleo-common < %{version}-%{release}

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git
rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
if [ -d %{buildroot}/%{_datadir}/%{upstream_name} ]; then
  mv %{buildroot}/%{_datadir}/%{upstream_name} %{buildroot}/%{_datadir}/%{name}
else
  # Before https://review.openstack.org/#/c/327830/3/setup.cfg
  mkdir -p %{buildroot}/%{_datadir}/%{name}
  if [ -d image-yaml ]; then
    install -d -m 755 %{buildroot}/%{_datadir}/%{name}
    cp -ar image-yaml %{buildroot}/%{_datadir}/%{name}
  fi
fi
ln -s %{name} %{buildroot}%{_datadir}/%{upstream_name}

if [ -d workbooks ]; then
  cp -ar workbooks %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/workbooks
fi

install -p -D -m 440 sudoers %{buildroot}%{_sysconfdir}/sudoers.d/%{upstream_name}

%description
Python library for code used by TripleO projects.

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_common*
%exclude %{python2_sitelib}/tripleo_common/test*
%{_prefix}/lib/heat/undercloud_heat_plugins
%{_bindir}/upgrade-non-controller.sh
%{_bindir}/tripleo-build-images
%{_bindir}/upload-puppet-modules
%{_bindir}/upload-swift-artifacts
%{_bindir}/run-validation
%{_datadir}/%{name}
%{_datadir}/%{upstream_name}
%{_sysconfdir}/sudoers.d/%{upstream_name}

%changelog
* Thu Aug 16 2018 Bob Fournier <bfournie@redhat.com> 5.4.7-6
- ensure unique ironic node ID with UCS driver (rhbz#1518388)

* Mon Jun 25 2018 Alex Schultz <aschultz@redhat.com> 5.4.7-5
- Purge resolv.conf from the overcloud images (rhbz#1592578)

* Mon May 07 2018 Bob Fournier <bfournie@redhat.com> 5.4.7-4
- Add logging to capabilities filter (rhbz#1574952)

* Mon Apr 09 2018 rabi <ramishra@redhat.com> 5.4.7-3
- Fix overcloud node delete after an upgrade (rhbz#1544088)

* Fri Mar 16 2018 Steve Linabery <slinaber@redhat.com> 5.4.7-2
- Zuul: Remove project name
- Remove RH1 OVB jobs from configuration

* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 5.4.7-1
- Update to 5.4.7

* Wed Oct 18 2017 Steve Linabery <slinaber@redhat.com> 5.4.4-1
- Adding env variable OS_TENANT_NAME back in overcloudrc
- Update to 5.4.4

* Fri Sep 01 2017 Steve Linabery <slinaber@redhat.com> 5.4.2-4
- Add skip_deploy_identifier

* Fri Aug 04 2017 Steve Linabery <slinaber@redhat.com> 5.4.2-3
- Add element to regenerate dracut on the agent

* Mon Jun 19 2017 Jason Joyce <jjoyce@redhat.com> 5.4.2-2
- Ensure Swift Rings backup container and URLs (rhbz#1455616)

* Thu May 18 2017 Jason Joyce <jjoyce@redhat.com> 5.4.2-1
- Update to 5.4.2 (1452404)

* Wed May 17 2017 Jason Joyce <jjoyce@redhat.com> 5.4.1-7
- Use Mistral to create Swift temporary URLs
- Remove remaining vendor plugins from default image YAML
- Move the overcloudrc generation from tripleoclient to a Mistral action
- Fix build-image script output

* Thu May 04 2017 Alex Schultz <aschultz@redhat.com> 5.4.1-6
- Handle re-created resources in StackUpdateManager (rhbz#1437016)

* Tue May 02 2017 Alex Schultz <aschultz@redhat.com> 5.4.1-5
- Add MigrationSshKey to generated passwords (rhbz#1428241)

* Tue May 02 2017 Jason Joyce <jjoyce@redhat.com> 5.4.1-4
- Update patches (rhbz#1412588)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 5.4.1-1
- Update to 5.4.1 (rhbz#1412588)

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 5.4.0-3
- Fix parameter update for custom roles
- Add port registration to IPMI power driver
- Revert changes to CephClusterFSID generation(rhbz#401267)
- Revert "Add CephClusterFSID to generated passwords" (rhbz#401267)
- Generate CephClusterFSID for new stacks(rhbz#401267)
- Pass the plan name when tagging nodes

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.4.0-2
- Replace ucs_hostname with ucs_address
- Only use parameter_defaults for scaling down (rhbz#1394145)

* Tue Nov 15 2016 Alfredo Moralejo <amoralej@redhat.com> 5.4.0-1
- Update to 5.4.0

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 5.3.0-1
- Update to 5.3.0

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.2.0-1
- Update to 5.2.0

* Tue Sep 13 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-1
- Update to 5.0.0


